Index: /palm/trunk/SOURCE/salsa_mod.f90
===================================================================
--- /palm/trunk/SOURCE/salsa_mod.f90	(revision 4328)
+++ /palm/trunk/SOURCE/salsa_mod.f90	(revision 4329)
@@ -26,4 +26,7 @@
 ! -----------------
 ! $Id$
+! Renamed wall_flags_0 to wall_flags_static_0
+! 
+! 4315 2019-12-02 09:20:07Z monakurppa
 ! Add an additional check for the time dimension PIDS_SALSA in
 ! salsa_emission_setup and correct some error message identifiers.
@@ -253,5 +256,5 @@
 
     USE indices,                                                                                   &
-        ONLY:  nbgp, nx, nxl, nxlg, nxr, nxrg, ny, nyn, nyng, nys, nysg, nzb, nz, nzt, wall_flags_0
+        ONLY:  nbgp, nx, nxl, nxlg, nxr, nxrg, ny, nyn, nyng, nys, nysg, nzb, nz, nzt, wall_flags_static_0
 
     USE kinds
@@ -1649,8 +1652,8 @@
        ALLOCATE( salsa_advc_flags_s(nzb:nzt+1,nysg:nyng,nxlg:nxrg) )
 !
-!--    In case of decycling, set Neuman boundary conditions for wall_flags_0 bit 31 instead of
+!--    In case of decycling, set Neuman boundary conditions for wall_flags_static_0 bit 31 instead of
 !--    cyclic boundary conditions. Bit 31 is used to identify extended degradation zones (please see
 !--    the following comment). Note, since several also other modules may access this bit but may
-!--    have other boundary conditions, the original value of wall_flags_0 bit 31 must not be
+!--    have other boundary conditions, the original value of wall_flags_static_0 bit 31 must not be
 !--    modified. Hence, store the boundary conditions directly on salsa_advc_flags_s.
 !--    salsa_advc_flags_s will be later overwritten in ws_init_flags_scalar and bit 31 won't be used
@@ -1658,5 +1661,5 @@
 !--    Initialize with flag 31 only.
        salsa_advc_flags_s = 0
-       salsa_advc_flags_s = MERGE( IBSET( salsa_advc_flags_s, 31 ), 0, BTEST( wall_flags_0, 31 ) )
+       salsa_advc_flags_s = MERGE( IBSET( salsa_advc_flags_s, 31 ), 0, BTEST( wall_flags_static_0, 31 ) )
 
        IF ( decycle_salsa_ns )  THEN
@@ -1778,5 +1781,5 @@
        DO  j = nys, nyn
 
-          k_topo_top(j,i) = MAXLOC( MERGE( 1, 0, BTEST( wall_flags_0(:,j,i), 12 ) ), DIM = 1 ) - 1
+          k_topo_top(j,i) = MAXLOC( MERGE( 1, 0, BTEST( wall_flags_static_0(:,j,i), 12 ) ), DIM = 1 ) - 1
 
           CALL salsa_driver( i, j, 1 )
@@ -2304,5 +2307,5 @@
 !
 !--          Predetermine flag to mask topography
-             flag = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_0(k,j,i), 0 ) )
+             flag = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_static_0(k,j,i), 0 ) )
 !
 !--          a) Number concentrations
@@ -2515,5 +2518,5 @@
 !
 !--          Predetermine flag to mask topography
-             flag = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_0(k,j,i), 0 ) ) 
+             flag = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_static_0(k,j,i), 0 ) ) 
 !
 !--          Regime 2a:
@@ -3062,5 +3065,5 @@
 !
 !--    Predetermine flag to mask topography
-       flag = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_0(k,j,i), 0 ) )
+       flag = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_static_0(k,j,i), 0 ) )
 !
 !--    Wind velocity for dry depositon on vegetation
@@ -7437,5 +7440,5 @@
 !
 !-- Predetermine flag to mask topography
-    flag = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_0(:,j,i), 0 ) )
+    flag = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_static_0(:,j,i), 0 ) )
 
     DO  ib = 1, nbins_aerosol   ! aerosol size bins
@@ -7853,5 +7856,5 @@
 
     USE indices,                                                                                   &
-        ONLY:  wall_flags_0
+        ONLY:  wall_flags_static_0
 
     USE surface_mod,                                                                               &
@@ -7945,8 +7948,8 @@
           tend(k,j,i) = tend(k,j,i) - MAX( 0.0_wp, ( rs(k+1,j,i) * sedim_vd(k+1,j,i,ib) -          &
                                                      rs(k,j,i) * sedim_vd(k,j,i,ib) ) * ddzu(k) )  &
-                                    * MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_0(k-1,j,i), 0 ) )
+                                    * MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_static_0(k-1,j,i), 0 ) )
           rs_p(k,j,i) = rs(k,j,i) + ( dt_3d * ( tsc(2) * tend(k,j,i) + tsc(3) * trs_m(k,j,i) )     &
                                       - tsc(5) * rdf_sc(k) * ( rs(k,j,i) - rs_init(k) ) )          &
-                                  * MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_0(k,j,i), 0 ) )
+                                  * MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_static_0(k,j,i), 0 ) )
           IF ( rs_p(k,j,i) < 0.0_wp )  rs_p(k,j,i) = 0.1_wp * rs(k,j,i)
        ENDDO
@@ -7958,5 +7961,5 @@
           rs_p(k,j,i) = rs(k,j,i) + ( dt_3d * ( tsc(2) * tend(k,j,i) + tsc(3) * trs_m(k,j,i) )     &
                                                 - tsc(5) * rdf_sc(k) * ( rs(k,j,i) - rs_init(k) ) )&
-                                  * MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_0(k,j,i), 0 ) )
+                                  * MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_static_0(k,j,i), 0 ) )
           IF ( rs_p(k,j,i) < 0.0_wp )  rs_p(k,j,i) = 0.1_wp * rs(k,j,i)
        ENDDO
@@ -7997,5 +8000,5 @@
         ONLY:  diffusion_s
     USE indices,                                                                                   &
-        ONLY:  wall_flags_0
+        ONLY:  wall_flags_static_0
     USE surface_mod,                                                                               &
         ONLY :  surf_def_h, surf_def_v, surf_lsm_h, surf_lsm_v, surf_usm_h, surf_usm_v
@@ -8082,10 +8085,10 @@
                                    sedim_vd(nzb+2:nzt+1,j,i,ib) - rs(nzb+1:nzt,j,i) *              &
                                    sedim_vd(nzb+1:nzt,j,i,ib) ) * ddzu(nzb+1:nzt) ) *              &
-                                   MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_0(nzb:nzt-1,j,i), 0 ) )
+                                   MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_static_0(nzb:nzt-1,j,i), 0 ) )
           ENDIF
           DO  k = nzb+1, nzt
              rs_p(k,j,i) = rs(k,j,i) +  ( dt_3d  * ( tsc(2) * tend(k,j,i) + tsc(3) * trs_m(k,j,i) )&
                                                   - tsc(5) * rdf_sc(k) * ( rs(k,j,i) - rs_init(k) )&
-                                        ) * MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_0(k,j,i), 0 ) )
+                                        ) * MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_static_0(k,j,i), 0 ) )
              IF ( rs_p(k,j,i) < 0.0_wp )  rs_p(k,j,i) = 0.1_wp * rs(k,j,i)
           ENDDO
@@ -8418,5 +8421,5 @@
                 DO  j = nysg, nyng
                    DO  k = nzb+1, nzt
-                      flag = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_0(k,j,i), 0 ) )
+                      flag = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_static_0(k,j,i), 0 ) )
                       sq(k,j,i) = sq_init(k) * flag
                    ENDDO
@@ -8443,5 +8446,5 @@
                 DO  j = nysg, nyng
                    DO  k = nzb+1, nzt
-                      flag = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_0(k,j,i), 0 ) )
+                      flag = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_static_0(k,j,i), 0 ) )
                       sq(k,j,i) = sq(k,j,copied) * flag
                    ENDDO
@@ -8479,5 +8482,5 @@
                 DO  j = ss, ee
                    DO  k = nzb+1, nzt
-                      flag = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_0(k,j,i), 0 ) )
+                      flag = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_static_0(k,j,i), 0 ) )
                       sq(k,j,i) = sq_init(k) * flag
                    ENDDO
@@ -8504,5 +8507,5 @@
                 DO  j = ss, ee
                    DO  k = nzb+1, nzt
-                      flag = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_0(k,j,i), 0 ) )
+                      flag = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_static_0(k,j,i), 0 ) )
                       sq(k,j,i) = sq(k,copied,i) * flag
                    ENDDO
@@ -10000,5 +10003,5 @@
                          ENDDO
                          sums_l(k,ind,tn) = sums_l(k,ind,tn) + temp_bin * rmask(j,i,sr)  *         &
-                                           MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_0(k,j,i), 22 ) )
+                                           MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_static_0(k,j,i), 22 ) )
                       ENDDO
                    ENDDO
@@ -10015,5 +10018,5 @@
                          ENDDO
                          sums_l(k,ind,tn) = sums_l(k,ind,tn) + temp_bin * rmask(j,i,sr)  *         &
-                                           MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_0(k,j,i), 22 ) )
+                                           MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_static_0(k,j,i), 22 ) )
                       ENDDO
                    ENDDO
@@ -10029,5 +10032,5 @@
                          ENDDO
                          sums_l(k,ind,tn) = sums_l(k,ind,tn) + temp_bin * rmask(j,i,sr)  *         &
-                                           MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_0(k,j,i), 22 ) )
+                                           MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_static_0(k,j,i), 22 ) )
                       ENDDO
                    ENDDO
@@ -10047,5 +10050,5 @@
                          ENDDO
                          sums_l(k,ind,tn) = sums_l(k,ind,tn) + temp_bin * rmask(j,i,sr)  *         &
-                                           MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_0(k,j,i), 22 ) )
+                                           MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_static_0(k,j,i), 22 ) )
                       ENDDO
                    ENDDO
@@ -10065,5 +10068,5 @@
                          ENDDO
                          sums_l(k,ind,tn) = sums_l(k,ind,tn) + temp_bin * rmask(j,i,sr)  *         &
-                                           MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_0(k,j,i), 22 ) )
+                                           MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_static_0(k,j,i), 22 ) )
                       ENDDO
                    ENDDO
@@ -10083,5 +10086,5 @@
                          ENDDO
                          sums_l(k,ind,tn) = sums_l(k,ind,tn) + temp_bin * rmask(j,i,sr)  *         &
-                                           MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_0(k,j,i), 22 ) )
+                                           MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_static_0(k,j,i), 22 ) )
                       ENDDO
                    ENDDO
@@ -10698,5 +10701,5 @@
                    DO  k = nzb_do, nzt_do
                       local_pf(i,j,k) = MERGE( aerosol_number(ib)%conc(k,j,i), REAL( fill_value,   &
-                                               KIND = wp ), BTEST( wall_flags_0(k,j,i), 0 ) )
+                                               KIND = wp ), BTEST( wall_flags_static_0(k,j,i), 0 ) )
                    ENDDO
                 ENDDO
@@ -10707,5 +10710,5 @@
                    DO  k = nzb_do, nzt_do
                       local_pf(i,j,k) = MERGE( nbins_av(k,j,i,ib), REAL( fill_value, KIND = wp ),  &
-                                               BTEST( wall_flags_0(k,j,i), 0 ) )
+                                               BTEST( wall_flags_static_0(k,j,i), 0 ) )
                    ENDDO
                 ENDDO
@@ -10730,5 +10733,5 @@
                       ENDDO
                       local_pf(i,j,k) = MERGE( temp_bin, REAL( fill_value, KIND = wp ),            &
-                                               BTEST( wall_flags_0(k,j,i), 0 ) )
+                                               BTEST( wall_flags_static_0(k,j,i), 0 ) )
                    ENDDO
                 ENDDO
@@ -10739,5 +10742,5 @@
                    DO  k = nzb_do, nzt_do
                       local_pf(i,j,k) = MERGE( mbins_av(k,j,i,ib), REAL( fill_value, KIND = wp ),  &
-                                               BTEST( wall_flags_0(k,j,i), 0 ) )
+                                               BTEST( wall_flags_static_0(k,j,i), 0 ) )
                    ENDDO
                 ENDDO
@@ -10764,5 +10767,5 @@
                          local_pf(i,j,k) = MERGE( salsa_gas(found_index)%conc(k,j,i),              &
                                                   REAL( fill_value,  KIND = wp ),                  &
-                                                  BTEST( wall_flags_0(k,j,i), 0 ) )
+                                                  BTEST( wall_flags_static_0(k,j,i), 0 ) )
                       ENDDO
                    ENDDO
@@ -10778,5 +10781,5 @@
                       DO  k = nzb_do, nzt_do
                          local_pf(i,j,k) = MERGE( to_be_resorted(k,j,i), REAL( fill_value,         &
-                                                  KIND = wp ), BTEST( wall_flags_0(k,j,i), 0 ) )
+                                                  KIND = wp ), BTEST( wall_flags_static_0(k,j,i), 0 ) )
                       ENDDO
                    ENDDO
@@ -10808,5 +10811,5 @@
 
                          local_pf(i,j,k) = MERGE( temp_bin, REAL( fill_value, KIND = wp ),         &
-                                                  BTEST( wall_flags_0(k,j,i), 0 ) )
+                                                  BTEST( wall_flags_static_0(k,j,i), 0 ) )
                       ENDDO
                    ENDDO
@@ -10817,5 +10820,5 @@
                       DO  k = nzb_do, nzt_do
                          local_pf(i,j,k) = MERGE( ldsa_av(k,j,i), REAL( fill_value, KIND = wp ),   &
-                                                  BTEST( wall_flags_0(k,j,i), 0 ) )
+                                                  BTEST( wall_flags_static_0(k,j,i), 0 ) )
                       ENDDO
                    ENDDO
@@ -10838,5 +10841,5 @@
                          ENDDO
                          local_pf(i,j,k) = MERGE( temp_bin, REAL( fill_value, KIND = wp ),         &
-                                                  BTEST( wall_flags_0(k,j,i), 0 ) )
+                                                  BTEST( wall_flags_static_0(k,j,i), 0 ) )
                       ENDDO
                    ENDDO
@@ -10847,5 +10850,5 @@
                       DO  k = nzb_do, nzt_do
                          local_pf(i,j,k) = MERGE( nufp_av(k,j,i), REAL( fill_value, KIND = wp ),   &
-                                                  BTEST( wall_flags_0(k,j,i), 0 ) )
+                                                  BTEST( wall_flags_static_0(k,j,i), 0 ) )
                       ENDDO
                    ENDDO
@@ -10866,5 +10869,5 @@
                          ENDDO
                          local_pf(i,j,k) = MERGE( temp_bin, REAL( fill_value, KIND = wp ),         &
-                                                  BTEST( wall_flags_0(k,j,i), 0 ) )
+                                                  BTEST( wall_flags_static_0(k,j,i), 0 ) )
                       ENDDO
                    ENDDO
@@ -10875,5 +10878,5 @@
                       DO  k = nzb_do, nzt_do
                          local_pf(i,j,k) = MERGE( ntot_av(k,j,i), REAL( fill_value, KIND = wp ),   &
-                                                  BTEST( wall_flags_0(k,j,i), 0 ) )
+                                                  BTEST( wall_flags_static_0(k,j,i), 0 ) )
                       ENDDO
                    ENDDO
@@ -10897,5 +10900,5 @@
                          ENDDO
                          local_pf(i,j,k) = MERGE( temp_bin, REAL( fill_value, KIND = wp ),         &
-                                                  BTEST( wall_flags_0(k,j,i), 0 ) )
+                                                  BTEST( wall_flags_static_0(k,j,i), 0 ) )
                       ENDDO
                    ENDDO
@@ -10906,5 +10909,5 @@
                       DO  k = nzb_do, nzt_do
                          local_pf(i,j,k) = MERGE( pm01_av(k,j,i), REAL( fill_value, KIND = wp ),   &
-                                                  BTEST( wall_flags_0(k,j,i), 0 ) )
+                                                  BTEST( wall_flags_static_0(k,j,i), 0 ) )
                       ENDDO
                    ENDDO
@@ -10928,5 +10931,5 @@
                          ENDDO
                          local_pf(i,j,k) = MERGE( temp_bin, REAL( fill_value, KIND = wp ),         &
-                                                  BTEST( wall_flags_0(k,j,i), 0 ) )
+                                                  BTEST( wall_flags_static_0(k,j,i), 0 ) )
                       ENDDO
                    ENDDO
@@ -10937,5 +10940,5 @@
                       DO  k = nzb_do, nzt_do
                          local_pf(i,j,k) = MERGE( pm25_av(k,j,i), REAL( fill_value, KIND = wp ),   &
-                                                  BTEST( wall_flags_0(k,j,i), 0 ) )
+                                                  BTEST( wall_flags_static_0(k,j,i), 0 ) )
                       ENDDO
                    ENDDO
@@ -10959,5 +10962,5 @@
                          ENDDO
                          local_pf(i,j,k) = MERGE( temp_bin,  REAL( fill_value, KIND = wp ),        &
-                                                  BTEST( wall_flags_0(k,j,i), 0 ) )
+                                                  BTEST( wall_flags_static_0(k,j,i), 0 ) )
                       ENDDO
                    ENDDO
@@ -10968,5 +10971,5 @@
                       DO  k = nzb_do, nzt_do
                          local_pf(i,j,k) = MERGE( pm10_av(k,j,i), REAL( fill_value, KIND = wp ),   &
-                                                  BTEST( wall_flags_0(k,j,i), 0 ) )
+                                                  BTEST( wall_flags_static_0(k,j,i), 0 ) )
                       ENDDO
                    ENDDO
@@ -10989,5 +10992,5 @@
                             ENDDO
                             local_pf(i,j,k) = MERGE( temp_bin, REAL( fill_value, KIND = wp ),      &
-                                                     BTEST( wall_flags_0(k,j,i), 0 ) )
+                                                     BTEST( wall_flags_static_0(k,j,i), 0 ) )
                          ENDDO
                       ENDDO
@@ -11005,5 +11008,5 @@
                          DO  k = nzb_do, nzt_do
                             local_pf(i,j,k) = MERGE( to_be_resorted(k,j,i), REAL( fill_value,      &
-                                                     KIND = wp ), BTEST( wall_flags_0(k,j,i), 0 ) )
+                                                     KIND = wp ), BTEST( wall_flags_static_0(k,j,i), 0 ) )
                          ENDDO
                       ENDDO
@@ -11027,5 +11030,5 @@
                          ENDDO
                          local_pf(i,j,k) = MERGE( temp_bin, REAL( fill_value, KIND = wp ),         &
-                                                  BTEST( wall_flags_0(k,j,i), 0 ) )
+                                                  BTEST( wall_flags_static_0(k,j,i), 0 ) )
                       ENDDO
                    ENDDO
@@ -11037,5 +11040,5 @@
                       DO  k = nzb_do, nzt_do
                          local_pf(i,j,k) = MERGE( to_be_resorted(k,j,i), REAL( fill_value,         &
-                                                  KIND = wp ), BTEST( wall_flags_0(k,j,i), 0 ) )
+                                                  KIND = wp ), BTEST( wall_flags_static_0(k,j,i), 0 ) )
                       ENDDO
                    ENDDO
@@ -11108,5 +11111,5 @@
                    DO  k = nzb_do, nzt_do
                       local_pf(i,j,k) = MERGE( aerosol_number(ib)%conc(k,j,i), REAL( fill_value,   &
-                                               KIND = wp ), BTEST( wall_flags_0(k,j,i), 0 ) )
+                                               KIND = wp ), BTEST( wall_flags_static_0(k,j,i), 0 ) )
                    ENDDO
                 ENDDO
@@ -11117,5 +11120,5 @@
                    DO  k = nzb_do, nzt_do
                       local_pf(i,j,k) = MERGE( nbins_av(k,j,i,ib), REAL( fill_value, KIND = wp ),  &
-                                               BTEST( wall_flags_0(k,j,i), 0 ) ) 
+                                               BTEST( wall_flags_static_0(k,j,i), 0 ) ) 
                    ENDDO
                 ENDDO
@@ -11138,5 +11141,5 @@
                       ENDDO
                       local_pf(i,j,k) = MERGE( temp_bin, REAL( fill_value, KIND = wp ),            &
-                                               BTEST( wall_flags_0(k,j,i), 0 ) )
+                                               BTEST( wall_flags_static_0(k,j,i), 0 ) )
                    ENDDO
                 ENDDO
@@ -11147,5 +11150,5 @@
                    DO  k = nzb_do, nzt_do
                       local_pf(i,j,k) = MERGE( mbins_av(k,j,i,ib), REAL( fill_value, KIND = wp ),  &
-                                               BTEST( wall_flags_0(k,j,i), 0 ) ) 
+                                               BTEST( wall_flags_static_0(k,j,i), 0 ) ) 
                    ENDDO
                 ENDDO
@@ -11170,5 +11173,5 @@
                          local_pf(i,j,k) = MERGE( salsa_gas(found_index)%conc(k,j,i),              &
                                                   REAL( fill_value, KIND = wp ),                   &
-                                                  BTEST( wall_flags_0(k,j,i), 0 ) )
+                                                  BTEST( wall_flags_static_0(k,j,i), 0 ) )
                       ENDDO
                    ENDDO
@@ -11186,5 +11189,5 @@
                       DO  k = nzb_do, nzt_do
                          local_pf(i,j,k) = MERGE( to_be_resorted(k,j,i), REAL( fill_value,         &
-                                                  KIND = wp ), BTEST( wall_flags_0(k,j,i), 0 ) )
+                                                  KIND = wp ), BTEST( wall_flags_static_0(k,j,i), 0 ) )
                       ENDDO
                    ENDDO
@@ -11213,5 +11216,5 @@
                          ENDDO
                          local_pf(i,j,k) = MERGE( temp_bin, REAL( fill_value, KIND = wp ),         &
-                                                  BTEST( wall_flags_0(k,j,i), 0 ) )
+                                                  BTEST( wall_flags_static_0(k,j,i), 0 ) )
                       ENDDO
                    ENDDO
@@ -11222,5 +11225,5 @@
                       DO  k = nzb_do, nzt_do
                          local_pf(i,j,k) = MERGE( ldsa_av(k,j,i), REAL( fill_value, KIND = wp ),   &
-                                                  BTEST( wall_flags_0(k,j,i), 0 ) ) 
+                                                  BTEST( wall_flags_static_0(k,j,i), 0 ) ) 
                       ENDDO
                    ENDDO
@@ -11240,5 +11243,5 @@
                          ENDDO
                          local_pf(i,j,k) = MERGE( temp_bin, REAL( fill_value, KIND = wp ),         &
-                                                  BTEST( wall_flags_0(k,j,i), 0 ) )
+                                                  BTEST( wall_flags_static_0(k,j,i), 0 ) )
                       ENDDO
                    ENDDO
@@ -11249,5 +11252,5 @@
                       DO  k = nzb_do, nzt_do
                          local_pf(i,j,k) = MERGE( nufp_av(k,j,i), REAL( fill_value, KIND = wp ),   &
-                                                  BTEST( wall_flags_0(k,j,i), 0 ) ) 
+                                                  BTEST( wall_flags_static_0(k,j,i), 0 ) ) 
                       ENDDO
                    ENDDO
@@ -11265,5 +11268,5 @@
                          ENDDO
                          local_pf(i,j,k) = MERGE( temp_bin, REAL( fill_value, KIND = wp ),         &
-                                                  BTEST( wall_flags_0(k,j,i), 0 ) )
+                                                  BTEST( wall_flags_static_0(k,j,i), 0 ) )
                       ENDDO
                    ENDDO
@@ -11274,5 +11277,5 @@
                       DO  k = nzb_do, nzt_do
                          local_pf(i,j,k) = MERGE( ntot_av(k,j,i), REAL( fill_value, KIND = wp ),   &
-                                                  BTEST( wall_flags_0(k,j,i), 0 ) ) 
+                                                  BTEST( wall_flags_static_0(k,j,i), 0 ) ) 
                       ENDDO
                    ENDDO
@@ -11294,5 +11297,5 @@
                          ENDDO
                          local_pf(i,j,k) = MERGE( temp_bin, REAL( fill_value, KIND = wp ),         &
-                                                  BTEST( wall_flags_0(k,j,i), 0 ) ) 
+                                                  BTEST( wall_flags_static_0(k,j,i), 0 ) ) 
                       ENDDO
                    ENDDO
@@ -11303,5 +11306,5 @@
                       DO  k = nzb_do, nzt_do
                          local_pf(i,j,k) = MERGE( pm01_av(k,j,i), REAL( fill_value, KIND = wp ),   &
-                                                  BTEST( wall_flags_0(k,j,i), 0 ) ) 
+                                                  BTEST( wall_flags_static_0(k,j,i), 0 ) ) 
                       ENDDO
                    ENDDO
@@ -11323,5 +11326,5 @@
                          ENDDO
                          local_pf(i,j,k) = MERGE( temp_bin, REAL( fill_value, KIND = wp ),         &
-                                                  BTEST( wall_flags_0(k,j,i), 0 ) ) 
+                                                  BTEST( wall_flags_static_0(k,j,i), 0 ) ) 
                       ENDDO
                    ENDDO
@@ -11332,5 +11335,5 @@
                       DO  k = nzb_do, nzt_do
                          local_pf(i,j,k) = MERGE( pm25_av(k,j,i), REAL( fill_value, KIND = wp ),   &
-                                                  BTEST( wall_flags_0(k,j,i), 0 ) ) 
+                                                  BTEST( wall_flags_static_0(k,j,i), 0 ) ) 
                       ENDDO
                    ENDDO
@@ -11352,5 +11355,5 @@
                          ENDDO
                          local_pf(i,j,k) = MERGE( temp_bin, REAL( fill_value, KIND = wp ),         &
-                                                  BTEST( wall_flags_0(k,j,i), 0 ) ) 
+                                                  BTEST( wall_flags_static_0(k,j,i), 0 ) ) 
                       ENDDO
                    ENDDO
@@ -11361,5 +11364,5 @@
                       DO  k = nzb_do, nzt_do
                          local_pf(i,j,k) = MERGE( pm10_av(k,j,i), REAL( fill_value, KIND = wp ),   &
-                                                  BTEST( wall_flags_0(k,j,i), 0 ) )
+                                                  BTEST( wall_flags_static_0(k,j,i), 0 ) )
                       ENDDO
                    ENDDO
@@ -11379,5 +11382,5 @@
                             ENDDO
                             local_pf(i,j,k) = MERGE( temp_bin, REAL( fill_value, KIND = wp ),      &
-                                                     BTEST( wall_flags_0(k,j,i), 0 ) ) 
+                                                     BTEST( wall_flags_static_0(k,j,i), 0 ) ) 
                          ENDDO
                       ENDDO
@@ -11397,5 +11400,5 @@
                          DO  k = nzb_do, nzt_do
                             local_pf(i,j,k) = MERGE( to_be_resorted(k,j,i), REAL( fill_value,      &
-                                                     KIND = wp ), BTEST( wall_flags_0(k,j,i), 0 ) )
+                                                     KIND = wp ), BTEST( wall_flags_static_0(k,j,i), 0 ) )
                          ENDDO
                       ENDDO
@@ -11415,5 +11418,5 @@
                          ENDDO
                          local_pf(i,j,k) = MERGE( temp_bin, REAL( fill_value, KIND = wp ),         &
-                                                  BTEST( wall_flags_0(k,j,i), 0 ) ) 
+                                                  BTEST( wall_flags_static_0(k,j,i), 0 ) ) 
                       ENDDO
                    ENDDO
@@ -11425,5 +11428,5 @@
                       DO  k = nzb_do, nzt_do
                          local_pf(i,j,k) = MERGE( to_be_resorted(k,j,i), REAL( fill_value,         &
-                                                  KIND = wp ), BTEST( wall_flags_0(k,j,i), 0 ) )
+                                                  KIND = wp ), BTEST( wall_flags_static_0(k,j,i), 0 ) )
                       ENDDO
                    ENDDO
@@ -11515,10 +11518,10 @@
                       im = mask_i(mid,i)
                       jm = mask_j(mid,j)
-                      ktt = MINLOC( MERGE( 1, 0, BTEST( wall_flags_0(:,jm,im), 5 )), DIM = 1 ) - 1
+                      ktt = MINLOC( MERGE( 1, 0, BTEST( wall_flags_static_0(:,jm,im), 5 )), DIM = 1 ) - 1
                       DO  k = 1, mask_size_l(mid,3)
                          kk = MIN( ktt+mask_k(mid,k), nzt+1 )
 !
 !--                      Set value if not in building
-                         IF ( BTEST( wall_flags_0(kk,jm,im), 6 ) )  THEN
+                         IF ( BTEST( wall_flags_static_0(kk,jm,im), 6 ) )  THEN
                             local_pf(i,j,k) = fill_value
                          ELSE
@@ -11569,10 +11572,10 @@
                       im = mask_i(mid,i)
                       jm = mask_j(mid,j)
-                      ktt = MINLOC( MERGE( 1, 0, BTEST( wall_flags_0(:,jm,im), 5 )), DIM = 1 ) - 1
+                      ktt = MINLOC( MERGE( 1, 0, BTEST( wall_flags_static_0(:,jm,im), 5 )), DIM = 1 ) - 1
                       DO  k = 1, mask_size_l(mid,3)
                          kk = MIN( ktt+mask_k(mid,k), nzt+1 )
 !
 !--                      Set value if not in building
-                         IF ( BTEST( wall_flags_0(kk,jm,im), 6 ) )  THEN
+                         IF ( BTEST( wall_flags_static_0(kk,jm,im), 6 ) )  THEN
                             local_pf(i,j,k) = fill_value
                          ELSE
@@ -11648,10 +11651,10 @@
                          im = mask_i(mid,i)
                          jm = mask_j(mid,j)
-                         ktt = MINLOC( MERGE( 1, 0, BTEST( wall_flags_0(:,jm,im), 5 )), DIM = 1 ) - 1
+                         ktt = MINLOC( MERGE( 1, 0, BTEST( wall_flags_static_0(:,jm,im), 5 )), DIM = 1 ) - 1
                          DO  k = 1, mask_size_l(mid,3)
                             kk = MIN( ktt+mask_k(mid,k), nzt+1 )
 !
 !--                         Set value if not in building
-                            IF ( BTEST( wall_flags_0(kk,jm,im), 6 ) )  THEN
+                            IF ( BTEST( wall_flags_static_0(kk,jm,im), 6 ) )  THEN
                                local_pf(i,j,k) = fill_value
                             ELSE
@@ -11697,10 +11700,10 @@
                          im = mask_i(mid,i)
                          jm = mask_j(mid,j)
-                         ktt = MINLOC( MERGE( 1, 0, BTEST( wall_flags_0(:,jm,im), 5 )), DIM = 1 ) - 1
+                         ktt = MINLOC( MERGE( 1, 0, BTEST( wall_flags_static_0(:,jm,im), 5 )), DIM = 1 ) - 1
                          DO  k = 1, mask_size_l(mid,3)
                             kk = MIN( ktt+mask_k(mid,k), nzt+1 )
 !
 !--                         Set value if not in building
-                            IF ( BTEST( wall_flags_0(kk,jm,im), 6 ) )  THEN
+                            IF ( BTEST( wall_flags_static_0(kk,jm,im), 6 ) )  THEN
                                local_pf(i,j,k) = fill_value
                             ELSE
